import './data-details.css';
import { WidgetBase } from '@csnext/cs-client';
import { IDatasource } from '@csnext/cs-core';
export declare class DataDetails extends WidgetBase {
    tab: string;
    componentKey: number;
    get source(): IDatasource | undefined;
    updateFeature(): void;
    contentLoaded(): void;
    mounted(): void;
}
